
#define VERSION "clens 0.2"
#define JPEG 0
#define TIFF 1

// define the database structures
typedef struct grp{
	struct grp *nextGrp;
	char name[256];
}GrpNode;

typedef struct cam{
	struct cam *nextCam;
	struct cam *firstModel;
	long numMake;
	long numModel;
	GrpNode *group;
    char menuMake[256];
    char menuModel[256];
    char exifMake[256];
    char exifModel[256];
    float multiplier;
}CamNode;

typedef struct lens{
	struct lens *nextLns;
	struct lens *firstLns;
	long numLens;
	char group[256];
	char menuLens[256];
	float converterFactor;
	long converterDetected;
	long coefLB;
	long coefUB;
	float multiplier;
}LnsNode;


// define other structures
typedef struct
{
    float f;
    float a;
    float b;
    float c;
}CoefType;

typedef struct {
	char inputDir[256];
	char stitcher[256];
	char viewerPath[256];
	char *profilePath;
	char suffix[32];
	char menuMake[256];
	char menuModel[256];
	char menuLens[256];
	int format;
	int jpegQuality;
	int interpolation;
	int beep;
	int resize;
	int converterDetected;
}prefType;

// prototypes for modDB
long readDataBase();
CamNode *findCamera(char *make, char *model);
LnsNode *findLens(char *lens, CamNode *camera);
LnsNode *findLenses(CamNode *camera);

// prototypes for modPT
int prepareScript(char *inFile);
